Update wmf-config/extension-list to use extension.json where available
Open, NormalPublic

Description

For each Wikimedia-deployed extension converted and loaded via extension registration, also update extension-list to use extenson.json instead of the PHP entry point.

Reedy created this task.Jul 8 2016, 10:10 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 8 2016, 10:10 PM

Change 298095 had a related patch set uploaded (by Reedy):
Load RestBaseUpdateJobs via wfLoadExtension()

https://gerrit.wikimedia.org/r/298095

Change 298054 had a related patch set uploaded (by Reedy):
[WIP] Swap to using extension.json where it exists in extension-list

https://gerrit.wikimedia.org/r/298054

Reedy added a comment.EditedJul 10 2016, 10:03 PM

After that patch, remaining WMF extensions to be converted are:

$IP/extensions/AbuseFilter/AbuseFilter.php
$IP/extensions/Capiunto/Capiunto.php
$IP/extensions/CategoryTree/CategoryTree.php
$IP/extensions/CentralNotice/CentralNotice.php
$IP/extensions/CirrusSearch/CirrusSearch.php
$IP/extensions/Collection/Collection.php
$IP/extensions/ConfirmEdit/ConfirmEdit.php
$IP/extensions/ConfirmEdit/FancyCaptcha.php
$IP/extensions/ContactPage/ContactPage.php
$IP/extensions/CustomData/CustomData.php
$IP/extensions/DonationInterface/donationinterface_langonly.php
$IP/extensions/Echo/Echo.php
$IP/extensions/EducationProgram/EducationProgram.php
$IP/extensions/EventLogging/EventLogging.php
$IP/extensions/FlaggedRevs/FlaggedRevs.php
$IP/extensions/Flow/Flow.php
$IP/extensions/FundraiserLandingPage/FundraiserLandingPage.php
$IP/extensions/GeoCrumbs/GeoCrumbs.php
$IP/extensions/GeoData/GeoData.php
$IP/extensions/GettingStarted/GettingStarted.php
$IP/extensions/GlobalBlocking/GlobalBlocking.php
$IP/extensions/GlobalUsage/GlobalUsage.php
$IP/extensions/GWToolset/GWToolset.php
$IP/extensions/ImageMetrics/ImageMetrics.php
$IP/extensions/Insider/Insider.php
$IP/extensions/intersection/DynamicPageList.php
$IP/extensions/JsonConfig/JsonConfig.php
$IP/extensions/LiquidThreads/LiquidThreads.php
$IP/extensions/MoodBar/MoodBar.php
$IP/extensions/MwEmbedSupport/MwEmbedSupport.php
$IP/extensions/OAuth/OAuth.php
$IP/extensions/PagedTiffHandler/PagedTiffHandler.php
$IP/extensions/PageImages/PageImages.php
$IP/extensions/PageTriage/PageTriage.php
$IP/extensions/PoolCounter/PoolCounterClient.php
$IP/extensions/RelatedSites/RelatedSites.php
$IP/extensions/RestBaseUpdateJobs/RestBaseUpdateJobs.php
$IP/extensions/RSS/RSS.php
$IP/extensions/Scribunto/Scribunto.php
$IP/extensions/ShortUrl/ShortUrl.php
$IP/extensions/SubPageList3/SubPageList3.php
$IP/extensions/TimedMediaHandler/TimedMediaHandler.php
$IP/extensions/timeline/Timeline.php
$IP/extensions/TorBlock/TorBlock.php
$IP/extensions/Translate/Translate.php
$IP/extensions/TrustedXFF/TrustedXFF.php
$IP/extensions/UploadWizard/UploadWizard.php
$IP/extensions/VipsScaler/VipsScaler.php
$IP/extensions/VipsScaler/VipsTest.php
$IP/extensions/WikimediaMessages/WikimediaLicenseTexts.php
$IP/extensions/XAnalytics/XAnalytics.php
$IP/extensions/ZeroBanner/ZeroBanner.php
$IP/extensions/ZeroPortal/ZeroPortal.php

See also: T87875

Change 298238 had a related patch set uploaded (by Reedy):
Use extension.json in extension-list-wikitech

https://gerrit.wikimedia.org/r/298238

Change 298054 merged by jenkins-bot:
Swap to using extension.json where it exists in extension-list

https://gerrit.wikimedia.org/r/298054

Change 298238 merged by jenkins-bot:
Use extension.json in extension-list-wikitech

https://gerrit.wikimedia.org/r/298238

Change 298096 had a related patch set uploaded (by Legoktm):
PoolCounterClient.php -> extension.json

https://gerrit.wikimedia.org/r/298096

Change 298096 merged by jenkins-bot:
PoolCounterClient.php -> extension.json

https://gerrit.wikimedia.org/r/298096

Change 300039 had a related patch set uploaded (by Reedy):
5 more to extension.json

https://gerrit.wikimedia.org/r/300039

Reedy added a comment.Jul 20 2016, 3:12 PM

TODO:

reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list
$IP/extensions/AbuseFilter/AbuseFilter.php
$IP/extensions/CategoryTree/CategoryTree.php
$IP/extensions/CentralNotice/CentralNotice.php
$IP/extensions/CirrusSearch/CirrusSearch.php
$IP/extensions/Collection/Collection.php
$IP/extensions/ConfirmEdit/ConfirmEdit.php
$IP/extensions/ConfirmEdit/FancyCaptcha.php
$IP/extensions/ContactPage/ContactPage.php
$IP/extensions/CustomData/CustomData.php
$IP/extensions/DonationInterface/donationinterface_langonly.php
$IP/extensions/Echo/Echo.php
$IP/extensions/EducationProgram/EducationProgram.php
$IP/extensions/EventLogging/EventLogging.php
$IP/extensions/FlaggedRevs/FlaggedRevs.php
$IP/extensions/Flow/Flow.php
$IP/extensions/GeoCrumbs/GeoCrumbs.php
$IP/extensions/GeoData/GeoData.php
$IP/extensions/GettingStarted/GettingStarted.php
$IP/extensions/GlobalBlocking/GlobalBlocking.php
$IP/extensions/GlobalUsage/GlobalUsage.php
$IP/extensions/GWToolset/GWToolset.php
$IP/extensions/ImageMetrics/ImageMetrics.php
$IP/extensions/Insider/Insider.php
$IP/extensions/JsonConfig/JsonConfig.php
$IP/extensions/LiquidThreads/LiquidThreads.php
$IP/extensions/MoodBar/MoodBar.php
$IP/extensions/MwEmbedSupport/MwEmbedSupport.php
$IP/extensions/OAuth/OAuth.php
$IP/extensions/PagedTiffHandler/PagedTiffHandler.php
$IP/extensions/PageImages/PageImages.php
$IP/extensions/PageTriage/PageTriage.php
$IP/extensions/RSS/RSS.php
$IP/extensions/Scribunto/Scribunto.php
$IP/extensions/ShortUrl/ShortUrl.php
$IP/extensions/SubPageList3/SubPageList3.php
$IP/extensions/TimedMediaHandler/TimedMediaHandler.php
$IP/extensions/timeline/Timeline.php
$IP/extensions/TorBlock/TorBlock.php
$IP/extensions/Translate/Translate.php
$IP/extensions/TrustedXFF/TrustedXFF.php
$IP/extensions/UploadWizard/UploadWizard.php
$IP/extensions/VipsScaler/VipsScaler.php
$IP/extensions/VipsScaler/VipsTest.php
$IP/extensions/WikimediaMessages/WikimediaLicenseTexts.php
$IP/extensions/ZeroBanner/ZeroBanner.php
$IP/extensions/ZeroPortal/ZeroPortal.php

Change 300039 merged by jenkins-bot:
5 more to extension.json

https://gerrit.wikimedia.org/r/300039

reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list
$IP/extensions/AbuseFilter/AbuseFilter.php
$IP/extensions/CategoryTree/CategoryTree.php
$IP/extensions/CentralNotice/CentralNotice.php
$IP/extensions/CirrusSearch/CirrusSearch.php
$IP/extensions/Collection/Collection.php
$IP/extensions/ConfirmEdit/ConfirmEdit.php
$IP/extensions/ConfirmEdit/FancyCaptcha.php
$IP/extensions/ContactPage/ContactPage.php
$IP/extensions/CustomData/CustomData.php
$IP/extensions/DonationInterface/donationinterface_langonly.php
$IP/extensions/Echo/Echo.php
$IP/extensions/EducationProgram/EducationProgram.php
$IP/extensions/EventLogging/EventLogging.php
$IP/extensions/FlaggedRevs/FlaggedRevs.php
$IP/extensions/Flow/Flow.php
$IP/extensions/GeoCrumbs/GeoCrumbs.php
$IP/extensions/GeoData/GeoData.php
$IP/extensions/GettingStarted/GettingStarted.php
$IP/extensions/GlobalBlocking/GlobalBlocking.php
$IP/extensions/GlobalUsage/GlobalUsage.php
$IP/extensions/GWToolset/GWToolset.php
$IP/extensions/ImageMetrics/ImageMetrics.php
$IP/extensions/Insider/Insider.php
$IP/extensions/JsonConfig/JsonConfig.php
$IP/extensions/LiquidThreads/LiquidThreads.php
$IP/extensions/MoodBar/MoodBar.php
$IP/extensions/MwEmbedSupport/MwEmbedSupport.php
$IP/extensions/OAuth/OAuth.php
$IP/extensions/PagedTiffHandler/PagedTiffHandler.php
$IP/extensions/PageImages/PageImages.php
$IP/extensions/PageTriage/PageTriage.php
$IP/extensions/RelatedSites/RelatedSites.php
$IP/extensions/RSS/RSS.php
$IP/extensions/Scribunto/Scribunto.php
$IP/extensions/ShortUrl/ShortUrl.php
$IP/extensions/SubPageList3/SubPageList3.php
$IP/extensions/TimedMediaHandler/TimedMediaHandler.php
$IP/extensions/timeline/Timeline.php
$IP/extensions/TorBlock/TorBlock.php
$IP/extensions/Translate/Translate.php
$IP/extensions/TrustedXFF/TrustedXFF.php
$IP/extensions/UploadWizard/UploadWizard.php
$IP/extensions/VipsScaler/VipsScaler.php
$IP/extensions/VipsScaler/VipsTest.php
$IP/extensions/WikimediaMessages/WikimediaLicenseTexts.php
$IP/extensions/XAnalytics/XAnalytics.php
$IP/extensions/ZeroBanner/ZeroBanner.php
$IP/extensions/ZeroPortal/ZeroPortal.php
reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list -c
48

Change 301283 had a related patch set uploaded (by Reedy):
4 more to extension.json in extension-list

https://gerrit.wikimedia.org/r/301283

Change 301283 merged by jenkins-bot:
4 more to extension.json in extension-list

https://gerrit.wikimedia.org/r/301283

Reedy added a comment.Jul 26 2016, 9:12 PM
reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list
$IP/extensions/AbuseFilter/AbuseFilter.php
$IP/extensions/CategoryTree/CategoryTree.php
$IP/extensions/CentralNotice/CentralNotice.php
$IP/extensions/CirrusSearch/CirrusSearch.php
$IP/extensions/Collection/Collection.php
$IP/extensions/ConfirmEdit/ConfirmEdit.php
$IP/extensions/ConfirmEdit/FancyCaptcha.php
$IP/extensions/ContactPage/ContactPage.php
$IP/extensions/CustomData/CustomData.php
$IP/extensions/DonationInterface/donationinterface_langonly.php
$IP/extensions/Echo/Echo.php
$IP/extensions/EducationProgram/EducationProgram.php
$IP/extensions/EventLogging/EventLogging.php
$IP/extensions/FlaggedRevs/FlaggedRevs.php
$IP/extensions/Flow/Flow.php
$IP/extensions/GeoCrumbs/GeoCrumbs.php
$IP/extensions/GeoData/GeoData.php
$IP/extensions/GettingStarted/GettingStarted.php
$IP/extensions/GlobalBlocking/GlobalBlocking.php
$IP/extensions/GlobalUsage/GlobalUsage.php
$IP/extensions/GWToolset/GWToolset.php
$IP/extensions/ImageMetrics/ImageMetrics.php
$IP/extensions/JsonConfig/JsonConfig.php
$IP/extensions/LiquidThreads/LiquidThreads.php
$IP/extensions/MoodBar/MoodBar.php
$IP/extensions/MwEmbedSupport/MwEmbedSupport.php
$IP/extensions/OAuth/OAuth.php
$IP/extensions/PagedTiffHandler/PagedTiffHandler.php
$IP/extensions/PageImages/PageImages.php
$IP/extensions/PageTriage/PageTriage.php
$IP/extensions/RelatedSites/RelatedSites.php
$IP/extensions/RSS/RSS.php
$IP/extensions/Scribunto/Scribunto.php
$IP/extensions/TimedMediaHandler/TimedMediaHandler.php
$IP/extensions/timeline/Timeline.php
$IP/extensions/TorBlock/TorBlock.php
$IP/extensions/Translate/Translate.php
$IP/extensions/TrustedXFF/TrustedXFF.php
$IP/extensions/UploadWizard/UploadWizard.php
$IP/extensions/VipsScaler/VipsScaler.php
$IP/extensions/VipsScaler/VipsTest.php
$IP/extensions/WikimediaMessages/WikimediaLicenseTexts.php
$IP/extensions/ZeroBanner/ZeroBanner.php
$IP/extensions/ZeroPortal/ZeroPortal.php
reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list -c
44
Reedy added a comment.Aug 4 2016, 4:13 PM
reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list -c
42
reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list
$IP/extensions/AbuseFilter/AbuseFilter.php
$IP/extensions/CategoryTree/CategoryTree.php
$IP/extensions/CentralNotice/CentralNotice.php
$IP/extensions/CirrusSearch/CirrusSearch.php
$IP/extensions/Collection/Collection.php
$IP/extensions/ConfirmEdit/ConfirmEdit.php
$IP/extensions/ConfirmEdit/FancyCaptcha.php
$IP/extensions/ContactPage/ContactPage.php
$IP/extensions/DonationInterface/donationinterface_langonly.php
$IP/extensions/Echo/Echo.php
$IP/extensions/EducationProgram/EducationProgram.php
$IP/extensions/EventLogging/EventLogging.php
$IP/extensions/FlaggedRevs/FlaggedRevs.php
$IP/extensions/Flow/Flow.php
$IP/extensions/GeoCrumbs/GeoCrumbs.php
$IP/extensions/GeoData/GeoData.php
$IP/extensions/GettingStarted/GettingStarted.php
$IP/extensions/GlobalBlocking/GlobalBlocking.php
$IP/extensions/GlobalUsage/GlobalUsage.php
$IP/extensions/GWToolset/GWToolset.php
$IP/extensions/JsonConfig/JsonConfig.php
$IP/extensions/LiquidThreads/LiquidThreads.php
$IP/extensions/MoodBar/MoodBar.php
$IP/extensions/MwEmbedSupport/MwEmbedSupport.php
$IP/extensions/OAuth/OAuth.php
$IP/extensions/PagedTiffHandler/PagedTiffHandler.php
$IP/extensions/PageImages/PageImages.php
$IP/extensions/PageTriage/PageTriage.php
$IP/extensions/RelatedSites/RelatedSites.php
$IP/extensions/RSS/RSS.php
$IP/extensions/Scribunto/Scribunto.php
$IP/extensions/TimedMediaHandler/TimedMediaHandler.php
$IP/extensions/timeline/Timeline.php
$IP/extensions/TorBlock/TorBlock.php
$IP/extensions/Translate/Translate.php
$IP/extensions/TrustedXFF/TrustedXFF.php
$IP/extensions/UploadWizard/UploadWizard.php
$IP/extensions/VipsScaler/VipsScaler.php
$IP/extensions/VipsScaler/VipsTest.php
$IP/extensions/WikimediaMessages/WikimediaLicenseTexts.php
$IP/extensions/ZeroBanner/ZeroBanner.php
$IP/extensions/ZeroPortal/ZeroPortal.php

Change 302940 had a related patch set uploaded (by Reedy):
Update WikimediaMessages LicenseTexts entry point in extension-list

https://gerrit.wikimedia.org/r/302940

Change 302942 had a related patch set uploaded (by Reedy):
11 more to extension.json for wmf/1.28.0-wmf.12

https://gerrit.wikimedia.org/r/302942

Reedy added a comment.Aug 4 2016, 4:29 PM

After .12 migration

reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list -c
31
reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list
$IP/extensions/CategoryTree/CategoryTree.php
$IP/extensions/CentralNotice/CentralNotice.php
$IP/extensions/CirrusSearch/CirrusSearch.php
$IP/extensions/Collection/Collection.php
$IP/extensions/ContactPage/ContactPage.php
$IP/extensions/Echo/Echo.php
$IP/extensions/EducationProgram/EducationProgram.php
$IP/extensions/EventLogging/EventLogging.php
$IP/extensions/FlaggedRevs/FlaggedRevs.php
$IP/extensions/Flow/Flow.php
$IP/extensions/GeoData/GeoData.php
$IP/extensions/GettingStarted/GettingStarted.php
$IP/extensions/GlobalBlocking/GlobalBlocking.php
$IP/extensions/GWToolset/GWToolset.php
$IP/extensions/JsonConfig/JsonConfig.php
$IP/extensions/LiquidThreads/LiquidThreads.php
$IP/extensions/MoodBar/MoodBar.php
$IP/extensions/OAuth/OAuth.php
$IP/extensions/PagedTiffHandler/PagedTiffHandler.php
$IP/extensions/PageImages/PageImages.php
$IP/extensions/PageTriage/PageTriage.php
$IP/extensions/RSS/RSS.php
$IP/extensions/Scribunto/Scribunto.php
$IP/extensions/TimedMediaHandler/TimedMediaHandler.php
$IP/extensions/timeline/Timeline.php
$IP/extensions/Translate/Translate.php
$IP/extensions/VipsScaler/VipsScaler.php
$IP/extensions/VipsScaler/VipsTest.php
$IP/extensions/WikimediaMessages/WikimediaLicenseTexts.php
$IP/extensions/ZeroBanner/ZeroBanner.php
$IP/extensions/ZeroPortal/ZeroPortal.php

Change 302943 had a related patch set uploaded (by Reedy):
2 more to extension.json for wmf/1.28.0-wmf.13

https://gerrit.wikimedia.org/r/302943

Reedy added a comment.Aug 4 2016, 4:38 PM

After .13

reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list -c
29
reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list
$IP/extensions/CategoryTree/CategoryTree.php
$IP/extensions/CentralNotice/CentralNotice.php
$IP/extensions/CirrusSearch/CirrusSearch.php
$IP/extensions/Collection/Collection.php
$IP/extensions/ContactPage/ContactPage.php
$IP/extensions/Echo/Echo.php
$IP/extensions/EducationProgram/EducationProgram.php
$IP/extensions/EventLogging/EventLogging.php
$IP/extensions/FlaggedRevs/FlaggedRevs.php
$IP/extensions/Flow/Flow.php
$IP/extensions/GeoData/GeoData.php
$IP/extensions/GettingStarted/GettingStarted.php
$IP/extensions/GWToolset/GWToolset.php
$IP/extensions/JsonConfig/JsonConfig.php
$IP/extensions/LiquidThreads/LiquidThreads.php
$IP/extensions/OAuth/OAuth.php
$IP/extensions/PagedTiffHandler/PagedTiffHandler.php
$IP/extensions/PageImages/PageImages.php
$IP/extensions/PageTriage/PageTriage.php
$IP/extensions/RSS/RSS.php
$IP/extensions/Scribunto/Scribunto.php
$IP/extensions/TimedMediaHandler/TimedMediaHandler.php
$IP/extensions/timeline/Timeline.php
$IP/extensions/Translate/Translate.php
$IP/extensions/VipsScaler/VipsScaler.php
$IP/extensions/VipsScaler/VipsTest.php
$IP/extensions/WikimediaMessages/WikimediaLicenseTexts.php
$IP/extensions/ZeroBanner/ZeroBanner.php
$IP/extensions/ZeroPortal/ZeroPortal.php

Change 302942 merged by jenkins-bot:
11 more to extension.json for wmf/1.28.0-wmf.12

https://gerrit.wikimedia.org/r/302942

Change 302940 abandoned by Reedy:
Update WikimediaMessages LicenseTexts entry point in extension-list

Reason:
This isn't needed anymore

https://gerrit.wikimedia.org/r/302940

Change 302943 merged by jenkins-bot:
extension-list: Move GlobalBlocking and MoodBar to extension.json

https://gerrit.wikimedia.org/r/302943

Change 298095 merged by jenkins-bot:
Load RestBaseUpdateJobs via wfLoadExtension()

https://gerrit.wikimedia.org/r/298095

Change 303915 had a related patch set uploaded (by Reedy):
6 more to extension.json in extension-list

https://gerrit.wikimedia.org/r/303915

Reedy added a comment.Aug 9 2016, 9:17 PM

After .14

reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list -c
19
reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list
$IP/extensions/CentralNotice/CentralNotice.php
$IP/extensions/CirrusSearch/CirrusSearch.php
$IP/extensions/Collection/Collection.php
$IP/extensions/Echo/Echo.php
$IP/extensions/EducationProgram/EducationProgram.php
$IP/extensions/FlaggedRevs/FlaggedRevs.php
$IP/extensions/Flow/Flow.php
$IP/extensions/GeoData/GeoData.php
$IP/extensions/GWToolset/GWToolset.php
$IP/extensions/JsonConfig/JsonConfig.php
$IP/extensions/PagedTiffHandler/PagedTiffHandler.php
$IP/extensions/PageImages/PageImages.php
$IP/extensions/PageTriage/PageTriage.php
$IP/extensions/RSS/RSS.php
$IP/extensions/Scribunto/Scribunto.php
$IP/extensions/TimedMediaHandler/TimedMediaHandler.php
$IP/extensions/Translate/Translate.php
$IP/extensions/ZeroBanner/ZeroBanner.php
$IP/extensions/ZeroPortal/ZeroPortal.php

Change 303915 merged by jenkins-bot:
8 more to extension.json in extension-list

https://gerrit.wikimedia.org/r/303915

Change 308577 had a related patch set uploaded (by Reedy):
2 more to extension.json in extension-list

https://gerrit.wikimedia.org/r/308577

Reedy added a comment.Sep 5 2016, 3:14 PM

Change 308577 had a related patch set uploaded (by Reedy):
2 more to extension.json in extension-list

https://gerrit.wikimedia.org/r/308577

After ^

reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list -c
17
reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config/wmf-config$ grep php$ extension-list
$IP/extensions/CentralNotice/CentralNotice.php
$IP/extensions/CirrusSearch/CirrusSearch.php
$IP/extensions/Collection/Collection.php
$IP/extensions/Echo/Echo.php
$IP/extensions/EducationProgram/EducationProgram.php
$IP/extensions/FlaggedRevs/FlaggedRevs.php
$IP/extensions/Flow/Flow.php
$IP/extensions/GWToolset/GWToolset.php
$IP/extensions/PagedTiffHandler/PagedTiffHandler.php
$IP/extensions/PageImages/PageImages.php
$IP/extensions/PageTriage/PageTriage.php
$IP/extensions/RSS/RSS.php
$IP/extensions/Scribunto/Scribunto.php
$IP/extensions/TimedMediaHandler/TimedMediaHandler.php
$IP/extensions/Translate/Translate.php
$IP/extensions/ZeroBanner/ZeroBanner.php
$IP/extensions/ZeroPortal/ZeroPortal.php

Change 308577 merged by jenkins-bot:
2 more to extension.json in extension-list

https://gerrit.wikimedia.org/r/308577

Reedy added a comment.EditedSep 16 2016, 8:35 PM
reedy@tin:/srv/mediawiki-staging/wmf-config$ grep php$ extension-list -c
16
reedy@tin:/srv/mediawiki-staging/wmf-config$ grep php$ extension-list
$IP/extensions/CirrusSearch/CirrusSearch.php
$IP/extensions/Collection/Collection.php
$IP/extensions/Echo/Echo.php
$IP/extensions/EducationProgram/EducationProgram.php
$IP/extensions/FlaggedRevs/FlaggedRevs.php
$IP/extensions/Flow/Flow.php
$IP/extensions/GWToolset/GWToolset.php
$IP/extensions/PagedTiffHandler/PagedTiffHandler.php
$IP/extensions/PageImages/PageImages.php
$IP/extensions/PageTriage/PageTriage.php
$IP/extensions/RSS/RSS.php
$IP/extensions/Scribunto/Scribunto.php
$IP/extensions/TimedMediaHandler/TimedMediaHandler.php
$IP/extensions/Translate/Translate.php
$IP/extensions/ZeroBanner/ZeroBanner.php
$IP/extensions/ZeroPortal/ZeroPortal.php

Change 328482 had a related patch set uploaded (by Reedy):
3 more to extension.json in extension-list

https://gerrit.wikimedia.org/r/328482

Reedy added a comment.Dec 21 2016, 9:58 AM

After the above...

$ grep php$ wmf-config/extension-list
$IP/extensions/CirrusSearch/CirrusSearch.php
$IP/extensions/Collection/Collection.php
$IP/extensions/EducationProgram/EducationProgram.php
$IP/extensions/FlaggedRevs/FlaggedRevs.php
$IP/extensions/GWToolset/GWToolset.php
$IP/extensions/PageTriage/PageTriage.php
$IP/extensions/Scribunto/Scribunto.php
$IP/extensions/TimedMediaHandler/TimedMediaHandler.php
$IP/extensions/Translate/Translate.php

Change 328482 merged by jenkins-bot:
3 more to extension.json in extension-list

https://gerrit.wikimedia.org/r/328482

Change 347122 had a related patch set uploaded (by Reedy):
[operations/mediawiki-config@master] Switch EducationProgram to extension.json for extension-list

https://gerrit.wikimedia.org/r/347122

Change 347122 merged by jenkins-bot:
[operations/mediawiki-config@master] Switch EducationProgram to extension.json for extension-list

https://gerrit.wikimedia.org/r/347122

Change 348296 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] PageTriage to extension.json in extension-list

https://gerrit.wikimedia.org/r/348296

Change 348296 merged by jenkins-bot:
[operations/mediawiki-config@master] PageTriage to extension.json in extension-list

https://gerrit.wikimedia.org/r/348296

Change 368554 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/mediawiki-config@master] extension.json usage for Scribunto

https://gerrit.wikimedia.org/r/368554

Change 368554 merged by jenkins-bot:
[operations/mediawiki-config@master] extension.json usage for Scribunto

https://gerrit.wikimedia.org/r/368554

Krinkle renamed this task from Update extensions in extension-list to use extension.json where they exist to Update wmf-config/extension-list to use extension.json where available.Sep 11 2018, 10:11 PM
Krinkle reopened this task as Open.
Krinkle triaged this task as Normal priority.
Krinkle updated the task description. (Show Details)